ScriptRunner 4.1.4 also for Jira 6.4.x?

Hi,

is the new ScriptRunner also working with JIRA 6.4?
In my local JIRA it works but if i install in the Server i get warning "incompatible".

If it is not working with JIRA 6.4 do we have a chance getting further updates (inofficial working update 4.1.3.2) over the jira-addon-administration-view?

Thanks,
michael

2 answers

This widget could not be displayed.

4.1.4 is only for 7.0.0 and above. It will not work in 6.4. 

The compatibility setting in the marketplace is correct. So if you upgrade through UPM it should do the right thing.

> If it is not working with JIRA 6.4 do we have a chance getting further updates (inofficial working update 4.1.3.2) over the jira-addon-administration-view?

Only security-related issues will get a new release for 6.3/6.4, if any arise.

Hi Jamie, if security-updates will done, is the base 4.1.3.2 (which you gave me because there was a bug in the initializer)? How should i explain my company that we should by for a plugin that is no longer supported? We can not go the next time to Jira 7.

Hi Michael, The plugin is supported. No vendor backports all fixes to all versions.

You have a version that works for you and you can use it until you upgrade to jira 7. If there are more problems, then it's true that they are not going to be fixed for your jira. It's just not viable to maintain two release streams. Atlassian themselves won't be doing that with JIRA Agile for instance.

Hi Jamie, i am really thankful that you made 4.1.3.2 for me. What i am not understand is that it will be no official release. Isn't my use of the initializer that what it is developed for? To initialize fields and if there was a problem (assignee) and a fix why not release it? Then i have the chance to get a security update in future.

I don't totally understand... if there is a security fix, then it will incorporate the fix I made for you. There is a similar discussion here: https://jamieechlin.atlassian.net/browse/GRV-721?focusedCommentId=78557&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-78557. I will try to get someone else involved to co-ordinate this and reply to everyone.

Sorry Jamie, maybe i missunderstood you. I understood that the 4.1.3.2 can not get incorporated because it is unofficial. If i get the fix also then it was great.

So, the fix for 795 is in 4.1.4, and if there is another release for 6.3/6.4 it will be in that. I'm not ruling out another release... if it happens it will incorporate all the minor fixes that are going in to the version for 7.

This widget could not be displayed.

Officially no. 

4.1.4 has only been tested for JIRA 7, and although it'll load ok in 6.4 and may work, it's not recommended or supported.  I think 4.1.3 is the final release for JIRA 6.3 and 6.4.

I'm sure Jamie or Mark will correct me if I've misunderstood what I've read and heard internally (I'm miles away from the office at the moment, so I'm a little out of touch with the team)

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Aug 22, 2018 in Marketplace Apps

How a Marketplace app tech team is achieving gender diversity

Hello! My name is Genevieve Blanch, and I'm the Marketing Manager at RefinedWiki, creators of apps to give teams the tools to customize Atlassian platforms. Currently, 44% of the tech team at Re...

536 views 3 19
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you